\documentstyle[draftcopy,epsfig,rotating,longtable,12pt,here]{article}

\setlength{\textwidth}{170mm}
\setlength{\textheight}{240mm}
\setlength{\oddsidemargin}{1mm}
\setlength{\evensidemargin}{1mm}
\setlength{\marginparwidth}{1cm}
\voffset=-20mm
\hoffset=0mm
\setlength{\parindent}{0pt}

\makeatletter
\long\def\psboxit#1{%
\begingroup\setbox0\hbox{#1}%
\dimen0=\ht0 \advance\dimen0 by \dp0%
    % Write out the PS code to set the current path using HEIGHT,
    % WIDTH , DEPTH of box0.
    \hbox{%
    \special{ps:  /box{%                  Processes the path of a rectangle.
%                  Needs : x0 y0 x1 y1.
         newpath 2 copy moveto 3 copy pop exch lineto 4 copy pop pop
         lineto 4 copy exch pop exch pop lineto closepath } bind def
         gsave 0 setgray currentpoint translate
        0
        \number\dp0 \space 15800 div    % hand tuned for dvips
        \number\wd0 \space 15800 div    % hand tuned for dvips
        \number\ht0 \space -15800 div   % hand tuned for dvips
        box fill grestore gsave 1 setgray}%
       \copy0\special{ps: stroke grestore}%
}%HBOX
\endgroup
}%
\makeatother

%\newcommand{\percent}{\verb\ % \}
\newcommand{\prompt}{\verb+     +\psboxit{[plus1]} $\sim$\verb+ > +}
\newcommand{\tprompt}{\verb+    +\psboxit{[tcsh]} $\sim$\verb+ > +}
\newcommand{\zprompt}{\verb+    +\psboxit{[zsh]} $\sim$}
\newcommand{\return}{$\hookleftarrow$ }
\newcommand{\TAB}{{\it TAB}  }
\newcommand{\tcsh}{\verb+tcsh +}
\newcommand{\zsh}{\verb+zsh +}
\newcommand{\cursor}{\rule[-1mm]{2mm}{4mm} }
\newcommand{\ESC}{{\it ESC} }

\def\listfigurename{List of Examples}

\newcounter{ex}
%\newenvironment{Example}[1]{\begin{quote} \addtocounter{ex}{1}
%\underline{Example \arabic{ex}:} #1 \\ \\
% \addcontentsline{lof}{figure}{\protect\numberline{\arabic{ex}}{#1}}}{\end{quote}}


\newenvironment{Example}[1]{\addtocounter{ex}{1}
%\underline{\bf Example \arabic{ex}:} #1 \\ 
%\vspace{7mm}
\noindent
\addcontentsline{lof}{figure}{\protect\numberline{\arabic{ex}}{#1}}
\noindent 
\\}{}

\makeindex

\makeglossary


\begin{document}

\title{The HEPiX Login Scripts Project\\
\vspace{1cm}
Implementation at CERN\\
\vspace{1cm}
Version 1\\
\author{Arnaud Taddei \thanks{CERN - Arnaud.Taddei@cern.ch}}
     }

\maketitle

\raisebox{90mm}[0mm][0mm]{\makebox[15cm][r]{CN/DCI/174}}

\begin{abstract}
This document describes how the HEPiX scripts are implemented at CERN.
In order to provide a common user environment on UNIX Systems 
a set of scripts was designed first by the DESY UNIX Commitee (DUX).

These scripts are covering the interactive environment which includes
the shell environment and will include the graphical environment (X11)
in the future. The "startup scripts" (shell environment) 
provide a way for users to login, work in interactive and batch mode
for the most common shells and platforms. 
\end{abstract}

%An updated and with CERN agreed version exists since march 1994.

%The other main part is a 
%proposal for a X11 configuration based on the X Display Manager (xdm).

%Furthermore we consider some configurations (e.g. key mappings) for 
%heavily used programs like the emacs editor.

\newpage
\tableofcontents
\listoftables
%\listoffigures




\newpage
%+=======User Customisations===================================================
\section{User customizations}

The user can customize his environment with his own dot files (refer to
\ref{ref-aux}).\\
 
We will give some examples for tailoring the user environment to
personal taste. \\
 
We will give some examples for tailoring the user environment to
personal taste.\\

{\bf How can I change the behaviour of the RUBOUT sequence?}\\

The user can modify it to 2 values : BackSpace or Delete.\\
\begin{tabular}{ll}
Backspace       & : the user needs to create a \$HOME/.BackSpace file.\\
Delete          & : the user needs to create a \$HOME/.Delete file.\\
\end{tabular}

\begin{center}
\begin{table}[H]
{\bf \caption{How can I change my prompt?}}
\vspace{1cm}
\begin{tabular}{||l|l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example}                                  &{\bf Result} \\
\hline
csh               &.cshrc               &\verb+set prompt='\!>'+                        &\verb+24 >+\\
tcsh              &.tcshrc or .cshrc    &\verb+set prompt='\! %~ %#'+                   & \verb+24 ~+  \\
ksh               &.kshrc               &\verb+export PS1='\! >$'+                      & \verb+24 >+                   \\
zsh               &.zshrc               &\verb+export PS1="%S\[%T\]%s"%~ %# "+          & \psboxit{[23:55]} \verb+~ >+  \\
bash              &.bashrc              &\verb+export PS1='\${PWD} \! >'+               & \verb+ /bin 24 >+\\
\hline
\end{tabular}
\end{table}
\end{center}


If you want to include the current path in your C-Shell prompt then
you have to define the following\\
 alias for the cd command.
\begin{verbatim}
alias cd chdir \!:\* \; set prompt='${cwd}\[!\]\ ' \; setenv CWD '$cwd'
\end{verbatim}

\begin{center}
\begin{table}[H]
{\bf \caption{How can I define my own aliases or functions?}}
\vspace{1cm}
\begin{tabular}{||l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example} \\
\hline
csh               &.cshrc               &\verb1alias rs 'set noglob;eval `resize`;unset noglob'1 \\
tcsh              &.tcshrc or .cshrc    &\verb1alias H 'history -r | fgrep "\!*"'1 \\
ksh               &.kshrc               &\verb1alias 'mr=chmod +r'1 \\
zsh               &.zshrc               &\verb1alias 'rs=eval `resize
-u`'1 \\
bash              &.bashrc              &\verb1mx() {chmod +x ${*}}1  \\
\hline
\end{tabular}
\end{table}
\end{center}

\begin{center}
\begin{table}[H]
{\bf \caption{How can I append an additional path?}}
\vspace{1cm}
\begin{tabular}{||l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example} \\
\hline
csh               &.cshrc               &set path=( \$path \$HOME/bin ) \\
tcsh              &.tcshrc or .cshrc    &set path=( \$path \$HOME/bin.\$OS ) \\
ksh               &.profile             &export PATH="\$HOME/bin:\$PATH"  \\
zsh               &.zprofile            &export PATH="\$HOME/bin.\$OS:\$PATH" \\
bash              &.bash\_profile or    &                    \\
                  & .profile            &export PATH="\$HOME/bin:\$PATH"  \\
\hline
\end{tabular}
\end{table}
\end{center}

\begin{center}
\begin{table}[H]
{\bf \caption{How can I set my own environment variables?}}
\vspace{1cm}
\begin{tabular}{||l|l|l||}
\hline
{\bf Shell}       &{\bf File}           &{\bf example} \\
\hline
csh               &.cshrc               &setenv EDITOR vi \\
tcsh              &.tcshrc or .cshrc    &setenv PRINTER ps\_rz1 \\
ksh               &.profile             &export VISUAL=emacs  \\
zsh               &.zprofile            &export ORACLE\_SID=v712 \\
bash              &.bash\_profile or     &                    \\
                  & .profile            &export PAGER=less  \\
\hline
\end{tabular}
\end{table}
\end{center}

%-=======User Customisations===================================================
\end{document}